summaryrefslogtreecommitdiffstats
path: root/system/cdcopy
diff options
context:
space:
mode:
author Menno Duursma2010-05-13 00:39:46 +0200
committer Robby Workman2010-05-13 00:39:46 +0200
commite57f37f3c1d9976a6eb1db3388507589b29e7836 (patch)
treeb788344552078a63f7809686ca31fd48dc0bf751 /system/cdcopy
parentb1932fbddcd03976b3682d0c6a995fca0e7e187e (diff)
downloadslackbuilds-e57f37f3c1d9976a6eb1db3388507589b29e7836.tar.gz
system/cdcopy: Updated for version 0.0.7
Diffstat (limited to 'system/cdcopy')
-rw-r--r--system/cdcopy/README3
-rw-r--r--system/cdcopy/cdcopy.SlackBuild39
-rw-r--r--system/cdcopy/cdcopy.info2
-rw-r--r--system/cdcopy/doinst.sh5
4 files changed, 23 insertions, 26 deletions
diff --git a/system/cdcopy/README b/system/cdcopy/README
index 24d0d655a2..507def04a0 100644
--- a/system/cdcopy/README
+++ b/system/cdcopy/README
@@ -1,2 +1 @@
-A dialog / shellscript program to easily copy CDs from the console
-
+cdcopy is a shell / dialog program to easily copy CDs from the console.
diff --git a/system/cdcopy/cdcopy.SlackBuild b/system/cdcopy/cdcopy.SlackBuild
index e6c68bb7aa..324589cc28 100644
--- a/system/cdcopy/cdcopy.SlackBuild
+++ b/system/cdcopy/cdcopy.SlackBuild
@@ -1,44 +1,48 @@
#!/bin/sh
# Slackware build script for CD-copying shell (cdcopy)
-# Written by Menno E. Duursma <druiloor@zonnet.nl>
+
+# Written by Menno Duursma <druiloor@zonnet.nl>
# Modified by the SlackBuilds.org project
-# Exit on most errors
-set -e
+# This program is free software. It comes without any warranty.
+# Granted WTFPL, Version 2, as published by Sam Hocevar. See
+# http://sam.zoy.org/wtfpl/COPYING for more details.
PRGNAM=cdcopy
-VERSION=0.0.7
-ARCH=${ARCH:-noarch}
+VERSION=${VERSION:-0.0.7}
+ARCH=noarch
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
+set -e # Exit on most errors
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
-rm -rf $PRGNAM
-tar xzvf $CWD/${PRGNAM}_$VERSION.tar.gz
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/${PRGNAM}_$VERSION.tar.gz
cd $PRGNAM
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
-## Install the program
install -D -m 0755 cdcopy $PKG/usr/bin/cdcopy
+install -D -m 0644 cdcopy.1 $PKG/usr/man/man1/cdcopy.1
+gzip -9 $PKG/usr/man/man1/cdcopy.1
# Add the sample configuration file
# Note: some versions of 'cdrecord' support ATAPI: or ATA: directives too
install -D -m 0644 cdcopy.conf $PKG/etc/cdcopy.conf.new
-mkdir -p $PKG/usr/man/man1
-gzip -9 cdcopy.1
-install -D -m 0644 cdcopy.1.gz $PKG/usr/man/man1/cdcopy.1.gz
-
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a [A-Z]* debian/copyright $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ Changelog.txt README.txt README TODO debian/README.Debian debian/copyright \
+ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
@@ -46,11 +50,4 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
-
-# Clean up the extra stuff
-if [ "$1" = "--cleanup" ]; then
- rm -rf $TMP/$PRGNAM
- rm -rf $PKG
-fi
-
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/cdcopy/cdcopy.info b/system/cdcopy/cdcopy.info
index 1d8e795cf4..ee4815d250 100644
--- a/system/cdcopy/cdcopy.info
+++ b/system/cdcopy/cdcopy.info
@@ -3,6 +3,8 @@ VERSION="0.0.7"
HOMEPAGE="http://www.biurrun.de/debian/cdcopy"
DOWNLOAD="http://www.biurrun.de/debian/cdcopy_0.0.7.tar.gz"
MD5SUM="a2e621dd8d4b1c0e2d9136c45b94d35a"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
MAINTAINER="Menno Duursma"
EMAIL="druiloor@zonnet.nl"
APPROVED="rworkman"
diff --git a/system/cdcopy/doinst.sh b/system/cdcopy/doinst.sh
index 86513b326d..1394e73287 100644
--- a/system/cdcopy/doinst.sh
+++ b/system/cdcopy/doinst.sh
@@ -1,15 +1,14 @@
config() {
NEW="$1"
- OLD="`dirname $NEW`/`basename $NEW .new`"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
# If there's no config file by that name, mv it over:
if [ ! -r $OLD ]; then
mv $NEW $OLD
- elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
# toss the redundant copy
rm $NEW
fi
# Otherwise, we leave the .new copy for the admin to consider...
}
-
config etc/cdcopy.conf.new